Subject: Re: linking problems with f2c
From: [email-masked] (Shankar Unni)

25 Feb 1997 23:38:16 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Satish Balay)
Original-Cc: [email-masked], [email-masked]
In-Reply-To: <[email-masked]> from "Satish Balay" at Feb 25, 97 01:52:43 pm
X-Mailer: ELM [version 2.4 PL23]
Original-Sender: [email-masked]

Satish Balay said:

> #	mv $*.xxx $*.o
> #	ld -r -x -o $*.xxx $*.o

One thing I found in all the PE linkers that I've built from binutils 2.7.*
(and I assume the Cygwin32 ld is among them) is that they corrupt the symbol
and relocation tables when doing an "ld -r". The symptom I've seen is that
all the text symbols start at around -0x400000, while the relocations are
at offset 0x400000+ into the text section, after an ld -r.

I'm going to start debugging the problem in a few days (when I get done with
my more severe problems).

-- 
Shankar Unni                                  [email-masked]
Chromatic Research                            (408) 752-9488
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".